package com.gingersoft.gsa.cloud.pay;

import com.gingersoft.gsa.cloud.common.utils.AppDevices;
import com.gingersoft.gsa.cloud.pay.device.pos.base.lifecycle.fragment.PosMatterFragment;
import com.gingersoft.gsa.cloud.pay.device.pos.yedpay.lifecycle.fragment.YedpayMatterFragment;

/**
 * @作者: bin
 * @創建時間: 2021-04-14 12:28
 * @更新時間: 2021-04-14 12:28
 * @描述:事项处理页Factory
 * */
public class PosMatterFragmentFactory {

    public static PosMatterFragment createPosMatterFragment(RequestParms requestParms) {
        if (AppDevices.isYedpay()) {
            return YedpayMatterFragment.newInstance(requestParms);
        }
        return YedpayMatterFragment.newInstance(requestParms);
    }

}
